<?php
//1. 接続します
$pdo = new PDO('mysql:dbname=sc_map;host=localhost', 'root', '');

//2. DB文字コードを指定
$stmt = $pdo->query('SET NAMES utf8');

//３．データ登録SQL作成
$stmt = $pdo->prepare("SELECT * FROM map_info");

//４．SQL実行
$flag = $stmt->execute();

//データ表示
$view="";
if($flag==false){
  $view = "SQLエラー";
}else{
  while($result=$stmt->fetch(PDO::FETCH_ASSOC)){
    $view .= '<div> <img src="' . $result['img'] . '">'
          . $result['lat'] . ',' . $result['lon'] . '</div>';
  }
}
?>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>写真アップロード</title>
<style>
#photarea{padding:5%;width:100%;background:black;}
img{height:200px;}
</style>
<link rel="stylesheet" href="css/range.css">
<link href="css/bootstrap.min.css" rel="stylesheet">
</head>
<body id="main">
<!-- Head[Start] -->
<header>
  <nav class="navbar navbar-default">
    <div class="container-fluid">
    <div class="navbar-header"><a class="navbar-brand" href="#">画像一覧</a></div>
  </nav>
</header>
<!-- Head[End] -->

<!-- Main[Start] -->
<div>
 <p><input id="img_width_range" type="range" step="10" max="400" min="50" value="200"></p>
  <div class="jumbotron"><span id="heigth_txt">200px</span>
    <div id="photarea"><?=$view?></div>
  </div>
</div>
<!-- Main[End] -->

<!-- Javascript -->
<script src="js/jquery-2.1.3.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script>
$("#img_width_range").on("change",function(){
  $("img").css("height", $(this).val()+"px");
  $("#heigth_txt").text($(this).val()+"px");
});
</script>
</body>
</html>
