<?php
if(!isset($_POST["post_flg"])){
  //echo "パラメータが無いので登録処理は無し";
}else{
  $lat = $_POST["lat"];
  $lon = $_POST["lon"];
  $img = $_FILES["upfile"]["name"];
  //※FILESはDEMOなので取得してません。

  //1. 接続します
  $pdo = new PDO('mysql:dbname=sc_map;host=localhost', 'root', '');

  //2. DB文字コードを指定
  $stmt = $pdo->query('SET NAMES utf8');

  //３．データ登録SQL作成
  $stmt = $pdo->prepare("INSERT INTO map_info (id, lat, lon, img, input_date )VALUES(NULL, :lat, :lon, :img, sysdate())");
  $stmt->bindValue(':lat', $lat);
  $stmt->bindValue(':lon', $lon);
  $stmt->bindValue(':img', $img);
  $status = $stmt->execute();
  if($status==false){
    echo "SQLエラー";
    exit;
  }else{
    echo "登録完了！";
  }
}
?>


<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="UTF-8">
  <title>POSTデータ登録</title>
</head>
<body>
    <form method="post" action="data_insert.php" enctype="multipart/form-data" id="send_file">
        <input type="file" accept="image/*" capture="camera" name="upfile">
        <input type="text" name="lat" id="lat">
        <input type="text" name="lon" id="lon">
        <input type="hidden" name="post_flg" value="1">
        <input type="submit" value="送信">
    </form>



<!-- Javascript -->
<script src="js/jquery-2.1.3.min.js"></script>
<script>
/**
* Geolocation（緯度・経度）
*/
navigator.geolocation.getCurrentPosition( //getCurrentPosition :or: watchPosition
  // 位置情報の取得に成功した時の処理
  function (position) {
    try {
      var lat = position.coords.latitude;  //緯度
      var lon = position.coords.longitude; //経度
      $("#lat").val(lat);
      $("#lon").val(lon);
    } catch (error) {
      console.log("getGeolocation: " + error);
    }
  },
  // 位置情報の取得に失敗した場合の処理
  function (error) {
    var e = "";
    if (error.code == 1) { //1＝位置情報取得が許可されてない（ブラウザの設定）
      e = "位置情報が許可されてません";
    }
    if (error.code == 2) { //2＝現在地を特定できない
      e = "現在位置を特定できません";
    }
    if (error.code == 3) { //3＝位置情報を取得する前にタイムアウトになった場合
      e = "位置情報を取得する前にタイムアウトになりました";
    }
    $("#status").html("エラー：" + e);

  }, {
    // 位置情報取得オプション
    enableHighAccuracy: true, //より高精度な位置を求める
    maximumAge: 20000,        //最後の現在地情報取得が20秒以内であればその情報を再利用する設定、0はキャッシュなし
    timeout: 10000            //10秒以内に現在地情報を取得できなければ、処理を終了
  }
);
</script>
</body>
</html>
